%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Indicator plugin for the Xfce panel
Name:		xfce4-indicator-plugin
Version:	2.5.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-indicator-plugin/
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-indicator-plugin/%{url_ver}/xfce4-indicator-plugin-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(ayatana-indicator3-0.4)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libayatana-ido3-0.4)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
Requires:	xfce4-panel

%description
A small plugin to display information from various applications consistently in
the panel as described in Ubuntus MessagingMenu design specification.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING*
%doc AUTHORS README*
%{_libdir}/xfce4/panel/plugins/libindicator-plugin.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/xfce4-indicator-plugin.{png,svg}


%changelog
* Tue Jul 15 2025 wally <wally> 2.5.0-1.mga10
+ Revision: 2255747
- new version 2.5.0

* Fri Apr 25 2025 wally <wally> 2.4.3-2.mga10
+ Revision: 2178654
- add patch to fix build with new libxfce4panel

* Wed Dec 25 2024 wally <wally> 2.4.3-1.mga10
+ Revision: 2130144
- imported package xfce4-indicator-plugin

